/*
This CSS file is a part of violet's _default theme, an AI slop-free static site generator under the MIT license.
https://codeberg.org/LunarWatcher/violet/src/branch/master/LICENSE
 */

:root {
    --violet-theme-default-dark-violet: #7F00FF;
    --violet-theme-default-lavender: #bf8bff;
    --violet-theme-default-grey: #1e1e1e;
}

body {
    margin: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1 0 auto;
}

header, footer {
    background-color: var(--violet-theme-default-grey);
    padding: 16px;
    color: white;
}

a {
    color: var(--violet-theme-default-dark-violet);
}

header a, footer a {
    color: var(--violet-theme-default-lavender);
}

.flag {
    background: linear-gradient(
        90deg,
        rgba(91, 206, 250, 1) 0%,
        rgba(245, 169, 184, 1) 100%
    );
    height: 8px;
    width: 100%;
}

main {
    padding: 16px;
}

pre, code {
    background-color: #eeeeee;
    padding: 4px;
}
pre > code {
    padding: 0px;
}

/* Highlight.js theme based on catgirl.el:*/
/* https://codeberg.org/LunarWatcher/catgirl.el */
/* Some alternations have been made due to hljs having a comparative potato renderer */
.hljs-keyword,
.hljs-selector-tag,
.hljs-literal,
.hljs-section,
.hljs-link {
  color: #d70087;
}

.hljs-subst {
  color: #000000;
}

.hljs-string,
.hljs-title,
.hljs-name,
.hljs-type,
.hljs-attribute,
.hljs-symbol,
.hljs-bullet,
.hljs-addition {
  color: #008700;
}

.hljs-built_in,
.hljs-title.class_,
.hljs-title.class_.inherited__,
.hljs-title.function_ {
  color: #179299;
}

.hljs-comment,
.hljs-quote,
.hljs-meta,
.hljs-doctag {
  color: #878787;
}

.hljs-number,
.hljs-regexp,
.hljs-variable {
  color: #d75f00;
}

.hljs-template-variable,
.hljs-template-tag {
  color: #000000;
}

.hljs-attr,
.hljs-selector-id,
.hljs-selector-class,
.hljs-selector-attr,
.hljs-selector-pseudo {
  color: #005faf;
}

.hljs-link {
  color: #005faf;
  text-decoration: underline;
}

.hljs-deletion {
  background-color: #ffd7ff;
  color: #000000;
}

.hljs-addition {
  background-color: #afffaf;
  color: #000000;
}

.hljs-change {
  background-color: #ffd787;
  color: #000000;
}

.hljs-meta {
  color: #d70087;
}

.hljs-tag {
  color: #3b2685;
}

.hljs-params {
  color: #000000;
}

.hljs-header {
  color: #d70087;
  font-weight: bold;
}

.hljs-code,
.hljs-inline-code {
  color: #5f8700;
}

.hljs::selection, .hljs *::selection {
  background-color: #b19cd9 !important;
  color: #ffffff;
}

.hljs-emphasis {
    font-style: italic;
}
.hljs-strong {
    font-weight: bold;
}
